/* 
 * BASIC open/close layout. For more styling use a specific class. 
 * Use data-opentext and data-closetext attibutes to set button texts.
 */

 #{$namespace}.js-collapse-me {
    position:           relative;
    z-index:            0;
    min-height:         0;
    .js-collapse-me-toggler {
        cursor:             pointer;
        display:            inline-block;
    }
    .js-collapse-me-inner {
        height:             0;
        max-height:         0;
        overflow:           hidden;
        display:            block;
        position:           relative;
        transition:         max-height 0.5s ease-out;
    }
    &.opened {
        .js-collapse-me-inner {
            height:             auto;
            max-height:         1000px;
            overflow:           auto;
        }
    }
}
